Qwt User's Guide: QwtCompassScaleDraw Class Reference

Qwt User's Guide 6.3.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
QwtCompassScaleDraw Class Reference

A special scale draw made for QwtCompass. More...

`#include <qwt_compass.h>`

Inheritance diagram for QwtCompassScaleDraw:

## Public Member Functions
| QwtCompassScaleDraw ()
| Constructor.
| QwtCompassScaleDraw (const QMap< double, QString > &map)
| Constructor.
virtual | ~QwtCompassScaleDraw ()
| Destructor.
void | setLabelMap (const QMap< double, QString > &map)
| Set a map, mapping values to labels.
QMap< double, QString > | labelMap () const
virtual QwtText | label (double value) const override
Public Member Functions inherited from QwtRoundScaleDraw
| QwtRoundScaleDraw ()
| Constructor.
virtual | ~QwtRoundScaleDraw ()
| Destructor.
void | setRadius (double radius)
double | radius () const
void | moveCenter (double x, double y)
| Move the center of the scale draw, leaving the radius unchanged.
void | moveCenter (const QPointF &)
QPointF | center () const
| Get the center of the scale.
void | setAngleRange (double angle1, double angle2)
| Adjust the baseline circle segment for round scales.
virtual double | extent (const QFont &) const override
Public Member Functions inherited from QwtAbstractScaleDraw
| QwtAbstractScaleDraw ()
| Constructor.
virtual | ~QwtAbstractScaleDraw ()
| Destructor.
void | setScaleDiv (const QwtScaleDiv &)
const QwtScaleDiv & | scaleDiv () const
void | setTransformation (QwtTransform *)
const QwtScaleMap & | scaleMap () const
QwtScaleMap & | scaleMap ()
void | enableComponent (ScaleComponent, bool enable=true)
bool | hasComponent (ScaleComponent) const
void | setTickLength (QwtScaleDiv::TickType, double length)
double | tickLength (QwtScaleDiv::TickType) const
double | maxTickLength () const
void | setSpacing (double)
| Set the spacing between tick and labels.
double | spacing () const
| Get the spacing.
void | setPenWidthF (qreal width)
| Specify the width of the scale pen.
qreal | penWidthF () const
virtual void | draw (QPainter *, const QPalette &) const
| Draw the scale.
void | setMinimumExtent (double)
| Set a minimum for the extent.
double | minimumExtent () const
void | invalidateCache ()

## Additional Inherited Members
Public Types inherited from QwtAbstractScaleDraw
enum | ScaleComponent { Backbone = 0x01 , Ticks = 0x02 , Labels = 0x04 }
typedef QFlags< ScaleComponent > | ScaleComponents
Protected Member Functions inherited from QwtRoundScaleDraw
virtual void | drawTick (QPainter *, double value, double len) const override
virtual void | drawBackbone (QPainter *) const override
virtual void | drawLabel (QPainter *, double value) const override
Protected Member Functions inherited from QwtAbstractScaleDraw
const QwtText & | tickLabel (const QFont &, double value) const
| Convert a value into its representing label and cache it.

## Detailed Description

A special scale draw made for QwtCompass.

QwtCompassScaleDraw maps values to strings using a special map, that can be modified by the application

The default map consists of the labels N, NE, E, SE, S, SW, W, NW.

See also
  QwtCompass

Definition at line 32 of file qwt_compass.h.

## Constructor & Destructor Documentation

## ◆ QwtCompassScaleDraw() [1/2]

QwtCompassScaleDraw::QwtCompassScaleDraw | ( |  | ) |
| explicit

Constructor.

Initializes a label map for multiples of 45 degrees

Definition at line 28 of file qwt_compass.cpp.

## ◆ QwtCompassScaleDraw() [2/2]

QwtCompassScaleDraw::QwtCompassScaleDraw | ( | const QMap< double, QString > & | map | ) |
| explicit

Constructor.

Parameters

  map | Value to label map

Definition at line 63 of file qwt_compass.cpp.

## ◆ ~QwtCompassScaleDraw()

QwtCompassScaleDraw::~QwtCompassScaleDraw | ( |  | ) |
| virtual

Destructor.

Definition at line 73 of file qwt_compass.cpp.

## Member Function Documentation

## ◆ label()

QwtText QwtCompassScaleDraw::label | ( | double | value | ) | const
| overridevirtual

Map a value to a corresponding label

Parameters

  value | Value that will be mapped

label() looks in the labelMap() for a corresponding label for value or returns an null text.

Returns
  Label

See also
  labelMap(), setLabelMap()

Reimplemented from QwtAbstractScaleDraw.

Definition at line 116 of file qwt_compass.cpp.

## ◆ labelMap()

QMap< double, QString > QwtCompassScaleDraw::labelMap | ( |  | ) | const

Returns
  map, mapping values to labels

See also
  setLabelMap()

Definition at line 99 of file qwt_compass.cpp.

## ◆ setLabelMap()

void QwtCompassScaleDraw::setLabelMap | ( | const QMap< double, QString > & | map | ) |

Set a map, mapping values to labels.

Parameters

  map | Value to label map

The values of the major ticks are found by looking into this map. The default map consists of the labels N, NE, E, SE, S, SW, W, NW.

Warning
  The map will have no effect for values that are no major tick values. Major ticks can be changed by QwtScaleDraw::setScale

See also
  labelMap(), scaleDraw(), setScale()

Definition at line 90 of file qwt_compass.cpp.